MVCSoftSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.mvcsoft.ejb.MVCSoftSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.mvcsoft.ejb
Class MVCSoftSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask
                      xdoclet.modules.ejb.dd.AbstractEjbDeploymentDescriptorSubTask
                          xdoclet.modules.mvcsoft.ejb.MVCSoftSubTask

All Implemented Interfaces:
  Serializable

public class MVCSoftSubTask
extends AbstractEjbDeploymentDescriptorSubTask

Generates MVCSoft's xml.

Author:
  Daniel OConnor (docodan@mvcsoft.com)
See Also:
  Serialized Form
ant.element
  display-name="MVCSoft" name="mvcsoft" parent="xdoclet.modules.ejb.EjbDocletTask"
created
  November 1, 2001

Nested Class Summary
`static class` | `MVCSoftSubTask.MVCSoftVersionTypes`

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`MVCSoftSubTask()` Describe what the MVCSoftSubTask constructor does

Method Summary
`String` | `getConnectionjndiname()` Gets the Connectionjndiname attribute of the MVCSoftSubTask object
`String` | `getDeploymentVersion()` Gets the DeploymentVersion attribute of the MVCSoftSubTask object
`String` | `getLightweightfactoryname()` Gets the lightweightfactoryname attribute of the MVCSoftSubTask object
`String` | `getLoggingtype()` Gets the Loggingtype attribute of the MVCSoftSubTask object
`void` | `setConnectionjndiname(String jndiName)` Sets the Connectionjndiname attribute of the MVCSoftSubTask object
`void` | `setDeploymentVersion(MVCSoftSubTask.MVCSoftVersionTypes deploymentVersion)` Sets the DeploymentVersion attribute of the MVCSoftSubTask object
`void` | `setLightweightfactoryname(String lightweightFactoryName)` Sets the lightweightfactoryname attribute of the MVCSoftSubTask object
`void` | `setLoggingtype(String loggingType)` Sets the Loggingtype attribute of the MVCSoftSubTask object

Methods inherited from class xdoclet.modules.ejb.dd.AbstractEjbDeploymentDescriptorSubTask
`atLeastOneCmp1EntityBeanExists, atLeastOneCmp2EntityBeanExists, atLeastOneCmpEntityBeanExists`

Methods inherited from class xdoclet.XmlSubTask
`copyAttributesFrom, engineFinished, getDtdURL, getPublicId, getSchema, getSchemaURL, getSystemId, getUseIds, getXmlencoding, isValidateXML, setDtdURL, setPublicId, setSchema, setSchemaURL, setSystemId, setUseIds, setValidateXML, setXmlencoding, startProcess`

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, engineStarted, execute, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass, validateOptions`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MVCSoftSubTask

    public MVCSoftSubTask()

  Describe what the MVCSoftSubTask constructor does

Method Detail

### getDeploymentVersion

    public String getDeploymentVersion()

  Gets the DeploymentVersion attribute of the MVCSoftSubTask object

  Returns:
    The DeploymentVersion value

### getConnectionjndiname

    public String getConnectionjndiname()

  Gets the Connectionjndiname attribute of the MVCSoftSubTask object

  Returns:
    The Connectionjndiname value

### getLoggingtype

    public String getLoggingtype()

  Gets the Loggingtype attribute of the MVCSoftSubTask object

  Returns:
    The Loggingtype value

### getLightweightfactoryname

    public String getLightweightfactoryname()

  Gets the lightweightfactoryname attribute of the MVCSoftSubTask object

  Returns:
    The Lightweightfactoryname value

### setDeploymentVersion

    public void setDeploymentVersion(MVCSoftSubTask.MVCSoftVersionTypes deploymentVersion)

  Sets the DeploymentVersion attribute of the MVCSoftSubTask object

  Parameters:
    `deploymentVersion` - The new DeploymentVersion value

### setConnectionjndiname

    public void setConnectionjndiname(String jndiName)

  Sets the Connectionjndiname attribute of the MVCSoftSubTask object

  Parameters:
    `jndiName` - The new Connectionjndiname value

### setLoggingtype

    public void setLoggingtype(String loggingType)

  Sets the Loggingtype attribute of the MVCSoftSubTask object

  Parameters:
    `loggingType` - The new Loggingtype value

### setLightweightfactoryname

    public void setLightweightfactoryname(String lightweightFactoryName)

  Sets the lightweightfactoryname attribute of the MVCSoftSubTask object

  Parameters:
    `lightweightFactoryName` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD